---
- name: check if clustered
  script: count_clustered_nodes.py
  register: nodes_count
  changed_when: False

- block:
  - name: copy erlang cookie
    template:
      src: erlang.cookie.j2
      dest: "{{ rabbitmq_erlang_cookie_file_path }}"
      owner: rabbitmq
      group: rabbitmq
      mode: 0400
      backup: yes

  - name: restart rabbitmq server
    service:
      name: rabbitmq-server
      state: restarted

  - name: stop rabbitmq app
    command: rabbitmqctl stop_app
    when: rabbitmq_master_node != inventory_hostname

  - debug:
      msg: "Node {{ inventory_hostname }} will be compared with {{ rabbitmq_master_node  }}"

  - name: join rabbitmq cluster
    command: rabbitmqctl join_cluster "rabbit@{{ rabbitmq_master_node }}"
    register: cluster_joined
    when: rabbitmq_master_node != inventory_hostname
    retries: 2
    delay: 1

  - name: start rabbitmq app
    command: rabbitmqctl start_app
    when: rabbitmq_master_node != inventory_hostname

  when:
    - rabbitmq_clustering_enabled
    - rabbitmq_master_node is defined
    - rabbitmq_erlang_cookie is defined
    - nodes_count.stdout|int < play_hosts|length
